﻿using GradientColor.WinPhone;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI;
using Windows.UI.Xaml.Media;
using Xamarin.Forms;
using Xamarin.Forms.Platform.WinRT;

[assembly: ResolutionGroupName("Chart")]
[assembly: ExportEffect(typeof(BackgroundColorEffect), "BackgroundColorEffect")]

namespace GradientColor.WinPhone
{
    public class BackgroundColorEffect : PlatformEffect
    {
        protected override void OnAttached()
        {
            LinearGradientBrush gradient = new LinearGradientBrush();
            gradient.StartPoint = new Windows.Foundation.Point(0, 0);
            gradient.EndPoint = new Windows.Foundation.Point(0.5, 1);

            gradient.GradientStops.Add(new GradientStop() { Color = Colors.Green, Offset = 0 });
            gradient.GradientStops.Add(new GradientStop() { Color = Colors.Yellow, Offset = 1 });

            (Control as Windows.UI.Xaml.Controls.Control).Background = gradient;
        }

        protected override void OnDetached()
        {
          
        }
    }
}
