﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms.iOS;
using CoreGraphics;
using CoreAnimation;

namespace GradientColor.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();
            new SfChartRenderer();

            LoadApplication(new App());

			Xamarin.Forms.Forms.ViewInitialized += (object sender, Xamarin.Forms.ViewInitializedEventArgs e) =>
			  {
				if (e.View is SfChart)
				   {
					   SFChart nativeChart = (e.NativeView as SFChart);

					   NSMutableArray array = new NSMutableArray();
					   array.Add(NSObject.FromObject(2));
					   array.Add(NSObject.FromObject(3));
					   (nativeChart.SecondaryAxis.StripLines as NSMutableArray).GetItem<SFChartStripLine>(0).BorderDashes = array;
				   }
			   };

            return base.FinishedLaunching(app, options);
        }
       
    }

}
